Bug 734368 - On boot error message no root device found, boot failed, sleeping forever
Summary: On boot error message no root device found, boot failed, sleeping forever
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 08:29 UTC by Wayne Carruthers
Modified: 2012-08-16 13:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:52:18 UTC


Attachments (Terms of Use)

Description Wayne Carruthers 2011-08-30 08:29:12 UTC
Description of problem:

Xenon 8 way, RAID1 boot device, runs fine on Kernel 2.6.35.11-83

Fails to boot on kernels 2.6.35.11-92 or 95 with error message

no root device found, boot failed, sleeping forever

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Boot Sytem
2. Select Kernel 2.6.35.11-95
3. 
  
Actual results:

Boot failed

Expected results:

Boot successful

Additional info:

Turned off modeset & quiet mode

Checked and found last message on screen was 

auto assembling RAID

Cannot see any relevant messages in boot log or messages

Comment 1 Josh Boyer 2011-08-30 10:53:21 UTC
Can you see if the grub entry for .11-92 or .11-95 have an initrd line and that there is a corresponding initramfs file in /boot for each?

Comment 2 Wayne Carruthers 2011-08-30 13:40:17 UTC
Yes

In /boot there is initramfs file for each kernel, there are also config files and system map files, correctly named, no spaces in names, all appear OK

Grub.conf entries from a backup file prior to the .11-95 upgrade are below, the .11-95 entry was checked & unless I am going mad I could not see a problem
 
title Fedora (2.6.35.13-92.fc14.i686)
	root (hd0,0)
	kernel /boot/vmlinuz-2.6.35.13-92.fc14.i686 ro root=UUID=c9b0aa73-fa51-487a-909f-58f06d7653ba rd_MD_UUID=836e57f9:c1cd9fca:e20a9105:d13e940c rd_NO_LUKS rd_NO_LVM rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	initrd /boot/initramfs-2.6.35.13-92.fc14.i686.img
title Fedora (2.6.35.11-83.fc14.i686)
	root (hd0,0)
	kernel /boot/vmlinuz-2.6.35.11-83.fc14.i686 ro root=UUID=c9b0aa73-fa51-487a-909f-58f06d7653ba rd_MD_UUID=836e57f9:c1cd9fca:e20a9105:d13e940c rd_NO_LUKS rd_NO_LVM rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	initrd /boot/initramfs-2.6.35.11-83.fc14.i686.img

Comment 3 Josh Boyer 2011-08-30 16:35:23 UTC
We're going to need some kind of log of the boot to see what is happening.  If you have a serial port, can you log via serial console?

Comment 4 Wayne Carruthers 2011-08-31 00:00:01 UTC
From memory, no serial port on the system

Tried coming back from UUID to traditional paths, no luck on that

Comment 5 Tony Browning 2011-10-13 00:36:43 UTC
I'm expericing the same problem after boot-up without disk, (error message) (no root device found, boot failed, sleeping forever) and I am now using the same Toshiba Model100 laptop giving me this problem to write this now. But to be able to use this laptop I have to use a Fedora 15 live boot disk and I would like to save the Fedora 15 to my empty 100 GB partitioned and titled /media/vg-toshiba100 ext4 hard disk if possible. My problem began when I format (cleaned) the just mentioned hard disk of Fedora 14 so I could update to Fedora 15. In hard drive 4 devices are there:
Device 1. /dev/sr0, Mount Point: /run/initramfs/live, FilesystemType: iso9660, Total Size: 643.6MB, Availible: 0bytes.
Device 2. /dev/sr0, Mount Point: /mnt/live, FilesystemType: iso9660, Total Size: 643.6MB, Availible: 0bytes.
Device 3. /dev/mapper/live-rw/, Mount Point: is just forward slash, / , FilesystemType: ext 4, TotalSize: 3.9GB, Availible: 2.0GB
Device 4. /dev/sda2, Mount Point: /media/vg-toshiba100, FilesystemType: ext 4, TotalSize: 91.2GB, Availible: 91.2GB
In the disk analyzer tree and/or pie it shows that all of Fedora 15 files of drivers and libraries are there along with linux kernel 2.6.38.2-9.fc15.i686. I ran all the test and it reads that my disk is healthy! Any help would be most appreciative.

Comment 6 Fedora End Of Life 2012-08-16 13:52:20 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.